"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDayjs = isDayjs;
const dayjs_1 = require("dayjs");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param options Additional options (see {@link IsDayjs}).
 */
function isDayjs(value, options) {
    const { allow_invalid } = { allow_invalid: false, ...options };
    return (0, dayjs_1.isDayjs)(value) && (allow_invalid || value.isValid());
}
